Bug 891379 - text mode installation get POSIX locale
Summary: text mode installation get POSIX locale
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Sivák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks: F18-accepted, F18FinalFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2013-01-02 18:55 UTC by Kamil Páral
Modified: 2013-05-10 06:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-10 06:16:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Kamil Páral 2013-01-02 18:55:38 UTC
Description of problem:
If I do a minimal installation using GUI, I end up in a system with en_US.UTF-8 locale. If I do the same using text mode, I end up in a system with POSIX locale.

That doesn't seem right, and intentional.

Version-Release number of selected component (if applicable):
smoke12
anaconda 18.37.8 (what about using just major.minor instead of major.minor.revision? it's freaking hard to remember)

How reproducible:
always

Steps to Reproduce:
1. install in text mode ("text" boot option)
2. type "locale"

Comment 1 Chris Lumens 2013-01-02 20:59:57 UTC
Three digit numbers are used for stabilization branches, like for F18 beta/final and for RHEL.  Two digit numbers are used all the rest of the time.

Comment 2 Martin Sivák 2013-01-08 14:38:48 UTC
I have a patch ready and approved, so if you still want this to F18, I can push it.

Comment 3 Kamil Páral 2013-01-10 15:03:03 UTC
This issue can be fixed post-install be editing /etc/locale.conf, setting LANG="en_US.UTF-8" and rebooting.

Comment 4 Adam Williamson 2013-05-10 06:16:43 UTC
Tested with 19 Beta TC3. Both text and graphical install show en_US.UTF-8 locale.


Note You need to log in before you can comment on or make changes to this bug.